Package com.enonic.xp.site.mapping

## Class ControllerMappingDescriptor

- java.lang.Object
- - com.enonic.xp.site.mapping.ControllerMappingDescriptor

- All Implemented Interfaces:
    `Comparable<ControllerMappingDescriptor>`

      @PublicApi
      public final class ControllerMappingDescriptor
      extends Object
      implements Comparable<ControllerMappingDescriptor>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ControllerMappingDescriptor.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(ControllerMappingDescriptor o)` |
    `static ControllerMappingDescriptor.Builder` | `copyOf​(ControllerMappingDescriptor mappingDescriptor)` |
    `static ControllerMappingDescriptor.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `ApplicationKey` | `getApplication()` |
    `ContentMappingConstraint` | `getContentConstraint()` |
    `ResourceKey` | `getController()` |
    `ResourceKey` | `getFilter()` |
    `int` | `getOrder()` |
    `Pattern` | `getPattern()` |
    `String` | `getService()` |
    `int` | `hashCode()` |
    `boolean` | `invertPattern()` |
    `boolean` | `isController()` |
    `boolean` | `isFilter()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getApplication

          public ApplicationKey getApplication()

    - #### getController

          public ResourceKey getController()

    - #### getFilter

          public ResourceKey getFilter()

    - #### getPattern

          public Pattern getPattern()

    - #### getService

          public String getService()

    - #### invertPattern

          public boolean invertPattern()

    - #### getContentConstraint

          public ContentMappingConstraint getContentConstraint()

    - #### getOrder

          public int getOrder()

    - #### isController

          public boolean isController()

    - #### isFilter

          public boolean isFilter()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(ControllerMappingDescriptor o)

      Specified by:
        `compareTo` in interface `Comparable<ControllerMappingDescriptor>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static ControllerMappingDescriptor.Builder create()

    - #### copyOf

          public static ControllerMappingDescriptor.Builder copyOf​(ControllerMappingDescriptor mappingDescriptor)